Bug 2010136 - must-gather extracts imagestreams in the "openshift" namespace, but not Templates
Summary: must-gather extracts imagestreams in the "openshift" namespace, but not Templ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.z
Assignee: David Peraza
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 2007757
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-04 01:11 UTC by OpenShift BugZilla Robot
Modified: 2022-01-04 18:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-04 18:41:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 401 0 None open [release-4.9] Bug 2010136: Including Template in must-gather related objects. 2021-10-04 01:11:18 UTC
Red Hat Product Errata RHBA-2021:5214 0 None None None 2022-01-04 18:41:44 UTC

Comment 4 Priti Kumari 2021-12-27 09:55:06 UTC
Verified the image streams and templates with release 4.9.0-0.nightly-2021-12-23-045233

===========================

$ oc version
Client Version: 4.4.0-0.ci-2020-02-26-215902
Server Version: 4.9.0-0.nightly-2021-12-23-045233
Kubernetes Version: v1.22.3+e790d7f

pkumari$ oc get config 
NAME      AGE
cluster   23m

pkumari$ oc get config cluster -o yaml | grep managementState
        f:managementState: {}
  managementState: Managed

pkumari$ oc adm must-gather

[...]

[must-gather-ghbtt] OUT namespaces/openshift/image.openshift.io/imagestreams/ubi8-openjdk-11.yaml
[must-gather-ghbtt] OUT namespaces/openshift/image.openshift.io/imagestreams/ubi8-openjdk-8.yaml
[must-gather-ghbtt] OUT namespaces/openshift/policy/
[must-gather-ghbtt] OUT namespaces/openshift/policy/poddisruptionbudgets.yaml
[must-gather-ghbtt] OUT namespaces/openshift/route.openshift.io/
[must-gather-ghbtt] OUT namespaces/openshift/route.openshift.io/routes.yaml
[must-gather-ghbtt] OUT namespaces/openshift/template.openshift.io/
[must-gather-ghbtt] OUT namespaces/openshift/template.openshift.io/templates/
[must-gather-ghbtt] OUT namespaces/openshift/template.openshift.io/templates/3scale-gateway.yaml
[must-gather-ghbtt] OUT namespaces/openshift/template.openshift.io/templates/amq63-basic.yaml
[...]

pkumari$ oc get templates -n openshift
NAME                                            DESCRIPTION                                                                        PARAMETERS        OBJECTS
3scale-gateway                                  3scale's APIcast is an NGINX based API gateway used to integrate your interna...   17 (8 blank)      3
[...]

pkumari$ oc get is -n openshift
NAME                                                  IMAGE REPOSITORY                                                                                                 TAGS                                                     UPDATED
apicast-gateway                                       image-registry.openshift-image-registry.svc:5000/openshift/apicast-gateway                                       2.1.0.GA,2.10.0.GA,2.2.0.GA,2.3.0.GA + 7 more...         22 minutes ago
[...]

Both imagestreams and templates are extracted.

Comment 6 errata-xmlrpc 2022-01-04 18:41:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:5214


Note You need to log in before you can comment on or make changes to this bug.